Subject: RE: Opsdir last call review of draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04

From: "Borchert, Oliver (Fed)" <[email-masked]>
Date: Thu, 11 Apr 2019 21:09:36 +0000

Hi Mehmet,

Regarding:
  Checking nits according to https://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  == There are 1 instance of lines with non-RFC3849-compliant IPv6 addresses
     in the document.  If these are example addresses, they should be changed.

I modified the NextHop IPv6 Address in the example from a routable IPv6 address to use 
a private use IPv6 address instead.
With this the signatures in the example are all still valid because it is not signed over it.

Oliver

-----Original Message-----
From: Mehmet Ersue via Datatracker <[email-masked]> 
Sent: Monday, March 18, 2019 6:08 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Opsdir last call review of draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04
Importance: High

Reviewer: Mehmet Ersue
Review result: Has Nits

I reviewed the document "BGPsec Algorithms, Key Formats, and Signature Formats"
(draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04.txt) as part of the Operational directorate's ongoing effort to review all IETF documents being processed by the IESG. These comments were written primarily for the benefit of the operational area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

Intended status: Standards Track
Current IESG state: Waiting for Writeup
IANA State: IANA - Review Needed

Summary:
The document specifies the algorithms, algorithm parameters, asymmetric key formats, asymmetric key sizes, and signature formats used in BGPsec.  The document updates RFC 8208 ("BGPsec Algorithms, Key Formats, and Signature
Formats") by adding Special-Use Algorithm IDs and correcting the range of unassigned algorithms IDs to fill the complete range.

There are some nits in the document like
- Normative reference to an Informational RFCs and
- Non-RFC (?) normative references
See
https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fidnits%3Furl%3Dhttps%3A%2F%2Ftools.ietf.org%2Fid%2Fdraft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04.txt&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7Ce1415efaec2e40da074008d6ab899186%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636885004677850528&amp;sdata=HlpFKh1FEljT04PW6aIeQS7Fe7%2B%2FovL2fpKIlYC4pPI%3D&amp;reserved=0

As far as I can tell the document does not cause any issues related to operations and management.

Mehmet